<?php include_once("../lib/control.seguridad.php"); ?>
<?php
    include_once('../inc/api_cred.php');

	$fecha_inicio = date('d-m-Y', mktime(0,0,0, date('m'), 1, date('Y')));
	$fecha_termino = date('d-m-Y', mktime(0,0,0, date('m'), date("d", mktime(0,0,0, date('m')+1, 0, date('Y'))), date('Y'))); 
	
	$fecha_inicio_b = date('d-m-Y', mktime(0,0,0, date('m'), 1, date('Y')));
	$fecha_termino_b = date('d-m-Y', mktime(0,0,0, date('m'), date("d", mktime(0,0,0, date('m')+1, 0, date('Y'))), date('Y'))); 	

	$boton = "<button type='button' class='btn btn-info btn-sm' id='btnEnviar' name='btnEnviar'>INGRESAR</button>";
	
	$id = 0;
	$fecha_inicio = date("d-m-Y");
	$fecha_termino = date("d-m-Y");
	$fecha_retorno = date("d-m-Y");	
	$cantidad = 0;		
	$hora_inicio = "08:00";
	$hora_termino = "08:00";
	$id_tipo_permiso = 0;
	$id_persona = 0;	
	$id_autoriza = $_SESSION['LOGIN']['CODIGO'];
	$observacion = "";	
	$nombrePersona = "";
	$nombreAuroriza = $_SESSION['LOGIN']['NOMBRE'];	
	
	$hide = "d-none";
    if($_POST){

		$hide = "";
		$url = $apiUrl . '/public/obtenerpermiso';
		$ch = curl_init($url); //create a new cURL resource
		$payload = json_encode(array('id' => $_POST["txtId"], 'api_token'=> 'lEkujNtWXOCCsOhRBIRON8I8wWZVhHGm5JylqMZC'));
		curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);//attach encoded JSON string to the POST fields
		curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type:application/json')); //set the content type to application/json
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); //return response instead of outputting
		$result = curl_exec($ch); //execute the POST request
        $array = json_decode($result);


		$id = $array[0]->id;
		$fecha_inicio = date('d-m-Y', strtotime($array[0]->fecha_inicio));
		$fecha_termino = date('d-m-Y', strtotime($array[0]->fecha_termino));
		$hora_inicio = date("H:i", strtotime($array[0]->hora_inicio));
		$hora_termino = date("H:i", strtotime($array[0]->hora_termino));
		$fecha_retorno = date('d-m-Y', strtotime($array[0]->fecha_retorno));	
		$cantidad = $array[0]->cantidad;			
		$id_tipo_permiso = $array[0]->id_tipo_permiso;
		$id_persona = $array[0]->id_persona;	
		$id_autoriza = $array[0]->id_autoriza;
		$observacion = $array[0]->observacion;	
		
		/******************************************************************/		

		/* $url2 = 'http://200.24.13.60/~program1/power-time-api/public/obtenerpersona';
		$ch2 = curl_init($url2); //create a new cURL resource
		$payload2 = json_encode(array('id' => $id_persona));
		curl_setopt($ch2, CURLOPT_POSTFIELDS, $payload2);//attach encoded JSON string to the POST fields
		curl_setopt($ch2, CURLOPT_HTTPHEADER, array('Content-Type:application/json')); //set the content type to application/json
		curl_setopt($ch2, CURLOPT_RETURNTRANSFER, true); //return response instead of outputting
		$result2 = curl_exec($ch2); //execute the POST request
		$array2 = json_decode($result2);*/
	
		$nombrePersona = $array[0]->nombre_persona ." ". $array[0]->apellido_persona;
		//curl_close($ch2);
		
		/******************************************************************/		

		/* $url2 = 'http://200.24.13.60/~program1/power-time-api/public/obtenerpersona';
		$ch2 = curl_init($url2); //create a new cURL resource
		$payload2 = json_encode(array('id' => $id_autoriza));
		curl_setopt($ch2, CURLOPT_POSTFIELDS, $payload2);//attach encoded JSON string to the POST fields
		curl_setopt($ch2, CURLOPT_HTTPHEADER, array('Content-Type:application/json')); //set the content type to application/json
		curl_setopt($ch2, CURLOPT_RETURNTRANSFER, true); //return response instead of outputting
		$result2 = curl_exec($ch2); //execute the POST request
		$array2 = json_decode($result2);*/ 
	
		$nombreAuroriza = $array[0]->nombre_autoriza ." ". $array[0]->apellido_autoriza;
		//curl_close($ch2); 				
		
		curl_close($ch); 

		/******************************************************************/
		
		$boton = "<button type='button' class='btn btn-info btn-sm' id='btnEditar' name='btnEditar'>EDITAR</button>";
	}

?>
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>POWERTIME</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css">
  <!-- Ionicons -->
  <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="../dist/css/adminlte.min.css">
  <!-- DataTables -->
  <link rel="stylesheet" href="../plugins/datatables-bs4/css/dataTables.bootstrap4.css">
  
  <link href="../plugins/toastr/build/toastr.css" rel="stylesheet" type="text/css" />
  
  <!-- JQUERY DATEPICKER -->  
  <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/timepicker/1.3.5/jquery.timepicker.min.css">
  <!-- JQUERY UI -->  
  <link rel="stylesheet" href="../plugins/jQueryUI/jquery-ui.css" />
 
  <style>
  #example2{
	  font-size:10px;
  }  
  #example3{
	  font-size:10px;
  }
  .dataTables_wrapper { font-size: 10px }  
  </style>  
</head>
<body class="hold-transition sidebar-mini">
<div class="wrapper">
 
  <?php include_once("../inc/header.php"); ?>

  <?php include_once("../inc/menu.php"); ?>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-8">
            <h4>Permiso</h4>
          </div>
			<div class="col-md-4">
			  <div class="input-group mb-2 input-group-sm">
				<div class="input-group-prepend">
				  <div class="input-group-text">Autoriza</div>
				</div>
				<input type="text" class="form-control control-text" id="txtNombre_autoriza" value="<?php echo $nombreAuroriza ?>" readonly>
				<input type="hidden" class="form-control control-text" id="txtId_autoriza" value="<?php echo $id_autoriza ?>">
			  </div>
			</div>			  
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content" id="app">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-6">
            <!-- Horizontal Form -->
            <div class="card">
				<div class="card-body">
				  <div class="form-group input-group-sm">
					<label>Fecha Inicio :</label>
					<input type="text" class="form-control control-number" id="txtFecha_inicio" value="<?php echo $fecha_inicio ?>" readonly>
				  </div>				
				  <div class="form-group input-group-sm">
					<label>Fecha T&eacute;rmino:</label>
					<input type="text" class="form-control control-text" id="txtFecha_termino" value="<?php echo $fecha_termino ?>" readonly>
				  </div>
				  <div class="form-group input-group-sm">
					<label>Fecha Retorno:</label>
					<input type="text" class="form-control " id="txtFecha_retorno" value="<?php echo $fecha_retorno ?>" readonly>
				  </div>	
				  <div class="form-group input-group-sm">
					<label>Cantidad D&iacute;as h&aacute;biles:</label>
					<input type="text" class="form-control control-number" id="txtCantidad" value="<?php echo $cantidad ?>" >
				  </div>					  
				  <div class="form-group input-group-sm">
					<label>Tipo Permiso:</label>
					<select class="form-control" id="txtTipo_permiso">
						<option value="0">Seleccione...</option>
					</select>
				  </div>					  
				  <div class="form-group input-group-sm d-none hora-permiso">
					<label>Hora Inicio :</label>
					<input type="text" class="form-control" id="txtHora_inicio" value="<?php echo $hora_inicio ?>" readonly>
				  </div>				
				  <div class="form-group input-group-sm d-none hora-permiso">
					<label>Hora T&eacute;rmino:</label>
					<input type="text" class="form-control" id="txtHora_termino" value="<?php echo $hora_termino ?>" readonly>
				  </div>				  			  
				</div>
				<!-- /.card-body -->
				<div class="card-footer">
					<?php echo $boton ?>
					<input type="hidden" class="form-control control-text" id="txtId" value="<?php echo $id ?>" readonly>						
					<button type="button" class="btn btn-default float-right" id="btnLimpiar">Limpiar</button>
				</div>
            </div>
          </div>
          <div class="col-md-6">
            <!-- Horizontal Form -->
            <div class="card">
				<div class="card-body">			
				  <div class="form-group">
					<label>Trabajador:</label>
						<div class="row">
							<div class="col-md-9 input-group-sm">
								<input type="text" class="form-control control-text" id="txtNombre" value="<?php echo $nombrePersona ?>" readonly>
								<input type="hidden" class="form-control control-text" id="txtId_persona" value="<?php echo $id_persona ?>">
							</div>
							<div class="col-md-3">
								<button type="button" class="btn btn-info btn-block btn-sm" id="btnBuscar">Buscar </button>
							</div>
						</div>					  
				  </div>			  
				  <div class="form-group">
					<label>Observaci&oacute;n:</label>
					<textarea class="form-control control-text" id="txtObservacion" name="txtObservacion" rows="5"><?php echo $observacion ?></textarea>
				  </div>				  
			  
				</div>
				<!-- /.card-body -->
				<div class="card-footer">					
					<input type="hidden" class="form-control control-text" id="txtCargo" value="<?php echo $_SESSION['LOGIN']['CARGOUSUARIO'] ?>">
					<button type='button' class='btn btn-default btn-sm <?php echo $hide; ?> float-right' id='btn-ver-permisos' name='btn-ver-permisos'>VER PERMISOS TRABAJADOR</button>
					
				</div>
            </div>
          </div>
        </div>
		

		
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  
  <?php include_once("../inc/footer.php"); ?>
   
	
	<div class="modal fade bd-example-modal-xl" id="modal-buscar" tabindex="-1" role="dialog" aria-labelledby="myExtraLargeModalLabel" aria-hidden="true">
	  <div class="modal-dialog modal-xl">
		<div class="modal-content">
		  <div class="modal-header">
			<h5 class="modal-title">LISTADO DE TRABAJADORES</h5>
			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
			  <span aria-hidden="true">&times;</span>
			</button>
		  </div>
		  <div class="modal-body">
			 <div class="row">
				<div class="col-md-4">
				  <div class="form-group  input-group-sm">
					<input type="text" class="form-control control-text" id="txtCriterio">
					<small class="form-text text-muted">Ingrese criterio de b&uacute;sqeda (Rut / Nombre / Apellido).</small>
				  </div>				
				</div>
				<div class="col-md-2">
				  <div class="form-group">
                     <button type='button' class='btn btn-info btn-blick btn-sm' id='btnFiltro' name='btnFiltro'>APLICAR FILTRO</button>
				  </div>				
				</div>				
			 </div>		  
			 <div class="row">
				<div class="col-md-12">
				  <table id="example3" class="table table-bordered table-striped">
					<thead>
					<tr>	
					  <th>RUT</th>					
					  <th>NOMBRE</th>
					  <th>DEPARTAMENTO</th>					  
					  <th>TURNO</th>				
					  <th>CARGO</th>			  
					  <th></th>				  
					</tr>
					</thead>			
				  </table>					
				</div>
			 </div>
		  </div>
		  <div class="modal-footer">
			<button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">Cerrar</button>
		  </div>
		</div>
	  </div>
	</div>  	

	<div class="modal" tabindex="-1" role="dialog"  id="modal-default">
	  <div class="modal-dialog modal-xl" role="document">
		<div class="modal-content">
		  <div class="modal-header">
			<h5 class="modal-title">Visor de Documentos</h5>
			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
			  <span aria-hidden="true">&times;</span>
			</button>
		  </div>
		  <div class="modal-body modal-body-documento">
			<iframe name="iframe3" width="100%" height="100%"></iframe>
		  </div>
		  <div class="modal-footer">
			<button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">Close</button>
		  </div>
		</div>
	  </div>
	</div>	
	
	<div class="modal fade bd-example-modal-xl" id="modal-permiso" tabindex="-1" role="dialog" aria-labelledby="myExtraLargeModalLabel" aria-hidden="true">
	  <div class="modal-dialog modal-xl">
		<div class="modal-content">
		  <div class="modal-header">
			<h5 class="modal-title">LISTADO DE PERMISOS DE TRABAJADOR</h5>
			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
			  <span aria-hidden="true">&times;</span>
			</button>
		  </div>
		  <div class="modal-body">
			<div class="row">
				<div class="col-md-3">
				  <div class="input-group mb-2 input-group-sm">
					<div class="input-group-prepend">
					  <div class="input-group-text">Fecha Inicio</div>
					</div>
					<input type="text" class="form-control" id="txtFecha_inicio_permiso" value="<?php echo $fecha_inicio_b; ?>" readonly >
				  </div>
				</div>
				<div class="col-md-3">
				  <div class="input-group mb-2 input-group-sm">
					<div class="input-group-prepend">
					  <div class="input-group-text">Fecha Termino</div>
					</div>
					<input type="text" class="form-control" id="txtFecha_termino_permiso" value="<?php echo $fecha_termino_b; ?>" readonly >
				  </div>
				</div>				
				<div class="col-md-1">
				  <button type="button" class="btn btn-info mb-2 btn-sm btn-block btn-sm" id="btnBuscarPermiso">Buscar</button>
				</div>						
			</div>	  
			 <div class="row">
				<div class="col-md-12">
				  <table id="example2" class="table table-bordered table-striped">
					<thead>
					<tr>	
					  <th>FECHA INICIO</th>	
					  <th>FECHA TERMINO</th>						  
					  <th>TIPO DE PERMISO</th>
					  <th>MOTIVO</th>					  				  
					</tr>
					</thead>			
				  </table>						
				</div>
			 </div>	 
		  </div>
		  <div class="modal-footer">
		    <button type="button" class="btn btn-info btn-sm" id="btnmprimir">Imprimir</button>
			<button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">Cerrar</button>
		  </div>
		</div>
	  </div>
	</div>  	
	

	<div class="div-response"></div>	
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="../plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="../plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- AdminLTE App -->
<script src="../dist/js/adminlte.min.js"></script>
<!-- DataTables -->
<script src="../plugins/datatables/jquery.dataTables.js"></script>
<script src="../plugins/datatables-bs4/js/dataTables.bootstrap4.js"></script>

<script src="../plugins/toastr/toastr.js"></script>

  <!-- JQUERY UI --> 
<script src="../plugins/jQueryUI/jquery-ui.js"></script>
  <!-- JQUERY DATEPICKER -->  
<script src="//cdnjs.cloudflare.com/ajax/libs/timepicker/1.3.5/jquery.timepicker.min.js"></script>

<script>

  $(function () {
	  
    $(".modal-body-documento").height(parseInt(screen.height) -400);	  
	   
     $('#example3').DataTable({
		  "paging": true,
		  "lengthChange": false,
		  "searching": false,
		  "ordering": true,
		  "info": false,
		  "autoWidth": false,
		  "pageLength": 7,
		  "language": {
			"url": "//cdn.datatables.net/plug-ins/1.10.15/i18n/Spanish.json"
		  } 			  
     });		 

     $('#example2').DataTable({
		  "paging": true,
		  "lengthChange": false,
		  "searching": false,
		  "ordering": true,
		  "info": false,
		  "autoWidth": false,
		  "pageLength": 7,
		  "language": {
			"url": "//cdn.datatables.net/plug-ins/1.10.15/i18n/Spanish.json"
		  } 	
     });	  
	  
    $(document).bind("contextmenu",function(e){
      return false;
    });	  
	  
    $('#txtObservacion').keyup(function(){
        $(this).val($(this).val().toUpperCase());
    });	 

	  
	 $.datepicker.regional['es'] = {
	 closeText: 'Cerrar',
	 prevText: '< Ant',
	 nextText: 'Sig >',
	 currentText: 'Hoy',
	 monthNames: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'],
	 monthNamesShort: ['Ene','Feb','Mar','Abr', 'May','Jun','Jul','Ago','Sep', 'Oct','Nov','Dic'],
	 dayNames: ['Domingo', 'Lunes', 'Martes', 'Miércoles', 'Jueves', 'Viernes', 'Sábado'],
	 dayNamesShort: ['Dom','Lun','Mar','Mié','Juv','Vie','Sáb'],
	 dayNamesMin: ['Do','Lu','Ma','Mi','Ju','Vi','Sá'],
	 weekHeader: 'Sm',
	 dateFormat: 'yy/mm/dd',
	 firstDay: 1,
	 isRTL: false,
	 showMonthAfterYear: false,
	 yearSuffix: ''
	 };
	 $.datepicker.setDefaults($.datepicker.regional['es']);
	function getDate( element ) {
      var date;
      try {
        date = $.datepicker.parseDate( dateFormat, element.value );
      } catch( error ) {
        date = null;
      }

      return date;
    }
	 
	 $("#txtFecha_inicio").datepicker({
		dateFormat: "yy-mm-dd",
		changeMonth: true,
		changeYear: true,
		yearRange: "1900:2100",
		onSelect: function(dateText, inst) {
		var lockDate = new Date($('#txtFecha_inicio').datepicker('getDate'));
		$('#txtFecha_termino').datepicker('option', 'minDate', lockDate);
		}		
	 }) 
	
	 $("#txtFecha_termino").datepicker({
		dateFormat: "yy-mm-dd",
		changeMonth: true,
		changeYear: true,
		yearRange: "1900:2100",
		minDate: $("#txtFecha_inicio").val() 
	 })  	
	 
	 $("#txtFecha_retorno").datepicker({
		dateFormat: "dd-mm-yy",
		changeMonth: true,
		changeYear: true,
		yearRange: "1900:2100",
		minDate: $("#txtFecha_termino").val() 
	 })  		 

	 $("#txtFecha_inicio_permiso").datepicker({
		dateFormat: "yy-mm-dd",
		changeMonth: true,
		changeYear: true,
		yearRange: "1900:2100",
		onSelect: function(dateText, inst) {
		var lockDate = new Date($('#txtFecha_inicio_permiso').datepicker('getDate'));
		$('#txtFecha_termino_permiso').datepicker('option', 'minDate', lockDate);
		}		
	 }) 
	
	 $("#txtFecha_termino_permiso").datepicker({
		dateFormat: "yy-mm-dd",
		changeMonth: true,
		changeYear: true,
		yearRange: "1900:2100",
		minDate: $("#txtFecha_inicio_permiso").val() 
	 }) 
	 
	$('#txtFecha_inicio_permiso').css("z-index","0");
	$('#txtFecha_termino_permiso').css("z-index","0");	 	 

 

	$('#txtCriterio').keyup(function(e){
		if(e.keyCode == 13){
			buscarpersona();
		}
	});	 
	  	  
	$("#btnFiltro").click(function(){
		buscarpersona();
	});
	
	function buscarpersona(){
		$('#example3').dataTable().fnClearTable();
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "http://200.24.13.60/~program1/power-time-api/public/buscarpersona",
			data : JSON.stringify({
				descripcion: $("#txtCriterio").val()			
			}),			
			success: function(dados)
			{
				$('#example3').dataTable().fnClearTable();
				 for (i=0;i<dados.length;i++){
					for (j=0;j<dados[i].length;j++){
					  var boton = "<button type='button' class='btn btn-info btn-xs btn-editar'>Asignar</button>";
					  $('#example3').dataTable().fnAddData( [
						dados[i][j].rut,						  
						dados[i][j].nombre +" "+dados[i][j].apellido,	
						dados[i][j].departamento,
						dados[i][j].turno,
						dados[i][j].cargo,						
						boton +"<input type='hidden' value ='"+dados[i][j].id+"' />"
					  ]);
					}
				}
			}
		});				
	}

	$("#example3").on('click','.btn-editar', function() {
		var id = $(this).parents("tr").find("td:eq(5)").find("input").val();	
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/obtenerpersona",
			data : JSON.stringify({
				id: id			
			}),			
			success: function(dados)
			{
				 for (i=0;i<dados.length;i++){					
					$("#txtNombre").val(dados[i].nombre+" "+dados[i].apellido); 
					$("#txtId_persona").val(id);
					$("#modal-buscar").modal("toggle");	
					$("#btn-ver-permisos").removeClass("d-none");	
					listarpermisopersona();					
				}
			}
		});			
	});		
	
 		
	

	$('#txtHora_inicio').timepicker({ 
		timeFormat: 'HH:mm',
		interval: 30,
		minTime: '08:00',
		maxTime: '23:00',
		dynamic: false,
		dropdown: true,
		scrollbar: true		
	});
	$('#txtHora_termino').timepicker({
		timeFormat: 'HH:mm',
		interval: 30,
		minTime: '08:00',
		maxTime: '23:00',
		dynamic: false,
		dropdown: true,
		scrollbar: true
	});	  
	
		
	 
	combo();
	function combo(){
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/buscarcargopermiso",
			data : JSON.stringify({
				id_cargo:$("#txtCargo").val(),			
			}),			
			success: function(dados)
			{
				for (i=0;i<dados.length;i++){
					for (j=0;j<dados[i].length;j++){
						$('#txtTipo_permiso').append($('<option>', {
							value: dados[i][j].id_tipo_permiso,
							text : dados[i][j].tipopermiso
						}));
					}
				}
				$('#txtTipo_permiso').val(<?php echo $id_tipo_permiso ?>);
			}
		});		
	}
	
	$(".control-number").bind('keypress', function(event) {
	  var regex = new RegExp("^[0-9]+$");
	  var key = String.fromCharCode(!event.charCode ? event.which : event.charCode);
	  if (!regex.test(key)) {
		event.preventDefault();
		return false;
	  }
	});	 
	
	$(".control-text").bind('keypress', function(event) {
	  var regex = new RegExp("^[a-zA-Z 0-9 ,.-]+$");
	  var key = String.fromCharCode(!event.charCode ? event.which : event.charCode);
	  if (!regex.test(key)) {
		event.preventDefault();
		return false;
	  }
	});	 

	$("#txtTipo_permiso").change(function() {
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
			crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/obtenertipopermiso",
			data : JSON.stringify({
				id:$("#txtTipo_permiso").val(),			
			}),
			success: function(data, textStatus, xhr) {
				if(parseInt(xhr.status) == 200){
					if(parseInt(data[0].hora) === 1) {
						$(".hora-permiso").removeClass("d-none");
					}else{
						$(".hora-permiso").addClass("d-none");						
					}
				}
			}			
		})   
    });		
	  
	$("#btnEnviar").click(function(){
		if(parseInt($("#txtTipo_permiso").val()) == 0){
			toastr.warning("Debe Seleccionar Tipo de Permiso", "POWERTIME");
			return false;
		}
		else if(parseInt($("#txtId_persona").val()) == 0){
			toastr.warning("Debe Seleccionar Trabajador", "POWERTIME");
			return false;
		}		
		else if( $("#txtObservacion").val() == null || $("#txtObservacion").val().length == 0 || /^\s+$/.test($("#txtObservacion").val()) ){
			toastr.warning("Debe ingresar Motivo del Permiso", "POWERTIME");
            return false;
		}
		else{
			$.ajax({
				type:'POST',
				contentType: 'application/json',
				dataType: "json",
				crossDomain: true,
				ifModified:true,
				cache: false,
				headers: {
					'Content-Type': 'application/json'
				},
				url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/ingresarpermiso",
				data : JSON.stringify({
					fecha_inicio:convertDateFormat($("#txtFecha_inicio").val()),
					fecha_termino:convertDateFormat($("#txtFecha_termino").val()),	
					fecha_retorno:convertDateFormat($("#txtFecha_retorno").val()),	
					cantidad:$("#txtCantidad").val(),							
					hora_inicio:$("#txtHora_inicio").val(),	
					hora_termino:$("#txtHora_termino").val(),	
					id_tipo_permiso:$("#txtTipo_permiso").val(),	
					id_persona:$("#txtId_persona").val(),	
					id_autoriza:$("#txtId_autoriza").val(),	
					observacion:$("#txtObservacion").val()				
				}),
				success: function(data) {
					if(parseInt(data[0]) == 1){
						toastr.warning(data.error, "POWERTIME");
						$("#btn-ver-permisos").removeClass("d-none");	
						listarpermisopersona();
					}					
					/*if(parseInt(xhr.status) == 201){
						logPermiso(data[0].id, "PERMISO EDITADO, "+ $("#txtObservacion").val());
					}*/
				}			
			})			
		}
	});

	$("#btnEditar").click(function(){
		if(parseInt($("#txtTipo_permiso").val()) == 0){
			toastr.warning("Debe Seleccionar Tipo de Permiso", "POWERTIME");
			return false;
		}
		else if(parseInt($("#txtId_persona").val()) == 0){
			toastr.warning("Debe Seleccionar Trabajador", "POWERTIME");
			return false;
		}		
		else if( $("#txtObservacion").val() == null || $("#txtObservacion").val().length == 0 || /^\s+$/.test($("#txtObservacion").val()) ){
			toastr.warning("Debe ingresar Motivo del Permiso", "POWERTIME");
            return false;
		}
		else{
			$.ajax({
				type:'POST',
				contentType: 'application/json',
				dataType: "json",
				crossDomain: true,
				headers: {
					'Content-Type': 'application/json'
				},
				url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/actualizarpermiso",
				data : JSON.stringify({
					id:$("#txtId").val(),
					fecha_inicio:convertDateFormat($("#txtFecha_inicio").val()),
					fecha_termino:convertDateFormat($("#txtFecha_termino").val()),	
					fecha_retorno:convertDateFormat($("#txtFecha_retorno").val()),	
					cantidad:$("#txtCantidad").val(),							
					hora_inicio:$("#txtHora_inicio").val(),	
					hora_termino:$("#txtHora_termino").val(),	
					id_tipo_permiso:$("#txtTipo_permiso").val(),	
					id_persona:$("#txtId_persona").val(),	
					id_autoriza:$("#txtId_autoriza").val(),	
					observacion:$("#txtObservacion").val()					
				}),
				success: function(data) {
					if(parseInt(data[0]) == 1){
						toastr.success("Registro Editado Exitosamente", "POWERTIME");
						logPermiso($("#txtId").val(), "PERMISO EDITADO, "+ $("#txtObservacion").val());
						listarpermisopersona();
					}
				}
			})			
		}
		
	});	

	$("#btnBuscar").click(function(){
		$("#modal-buscar").modal("show");		
	});

 	$("#btnLimpiar").click(function(){
		limpiarFormulario();
	});
	
	function limpiarFormulario(){
		$("#txtId").val(0);
		$("#txtFecha_inicio").val(fechaActual());
		$("#txtFecha_termino").val(fechaActual());	
		$("#txtHora_inicio").val("00:00");	
		$("#txtHora_termino").val("00:00");	
		$(".hora-permiso").addClass("d-none");				
		$("#txtTipo_permiso").val(0);	
		$("#txtId_persona").val(0);		
		$("#txtObservacion").val("");	
		$('#example2').dataTable().fnClearTable();
		$("#txtNombre").val("");  
		$("#btn-ver-permisos").addClass("d-none");		
	}
 
	function fechaActual(){
		var fecha = new Date();
		var dia = fecha.getDate();
		var mes = fecha.getMonth() + 1;
		var anio = fecha.getFullYear();	
		if(dia < 10) { dia = "0"+dia; } 
		if(mes < 10) { mes = "0"+mes; }
        return anio+"-"+mes+"-"+dia;  		
	}

    function logPermiso(idPermiso, observacion){
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
			crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/ingresarlogpermiso",
			data : JSON.stringify({
				id_permiso:idPermiso,
				id_usuario:$("#txtId_autoriza").val(),	
				observacion:observacion				
			})
		})
	}	
	
	listarpermisopersona();
	function listarpermisopersona(){
		$('#example2').dataTable().fnClearTable();
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/listarpermisostrabajadorgeneral",
			data : JSON.stringify({
				id_persona: $("#txtId_persona").val(),	
				fecha_inicio: $("#txtFecha_inicio_permiso").val(),
				fecha_termino: $("#txtFecha_termino_permiso").val()				
			}),			
			success: function(dados)
			{
				$('#example2').dataTable().fnClearTable();
				 for (i=0;i<dados.length;i++){
					for (j=0;j<dados[i].length;j++){
					  $('#example2').dataTable().fnAddData( [
						dados[i][j].fecha_inicio,						  
						dados[i][j].fecha_termino,	
						dados[i][j].tipo,							
						dados[i][j].observacion
					  ]);
					}
				}
			}
		});				
	}
	
	$("#btnBuscarPermiso").click(function(){
		listarpermisopersona();
	});
	
	$("#btn-ver-permisos").click(function(){
		$("#modal-permiso").modal("show");
		listarPermisoTrabajador();
	});	

	$("#btnmprimir").click(function(){
		$("#modal-permiso").modal("toggle");
		$('.div-response').html('<form action="informe.permiso.pdf.inc.php"  target="iframe3" name="form" method="POST" style="display:none;"> '+
		'<input type="text" class="form-control" id="txtId_persona" name="txtId_persona" value="'+$("#txtId_persona").val()+'" >'+
		'<input type="text" class="form-control" id="txtFecha_inicio_permiso" name="txtFecha_inicio_permiso" value="'+$("#txtFecha_inicio_permiso").val()+'" >'+
		'<input type="text" class="form-control" id="txtFecha_termino_permiso" name="txtFecha_termino_permiso" value="'+$("#txtFecha_termino_permiso").val()+'" >'+		
		'</form>');			
		document.forms['form'].submit();
		$('#modal-default').modal('show');			
	});	
	
	function convertDateFormat(numeros) {
        return numeros.split('-').reverse().join('-');
    }	
	
});	 	
  
</script>

</body>
</html>
